<!DOCTYPE html>
<html>

<head>
  <title> Task 28.33 Dữ liệu cá nhân </title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">Personal Data Submit Form - Dữ liệu cá nhân</h2>

    <div class="jumbotron container">
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="input-first-name">First Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-first-name" name="firstname" placeholder="Your first name ..."
            class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="inp-last-name">Last Name</label>
        </div>
        <div class="col-sm-9">
          <input type="text" id="inp-last-name" name="lastname" placeholder="Your last name.." class="form-control">
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-3">
          <label for="age">Age</label>
        </div>
        <div class="col-sm-9">
          <input type="number" id="inp-age" name="age" placeholder="Your age ..." class="form-control">
        </div>
      </div>
      <div class="row">
        <div class="col-sm-12 text-right">
          <button id="btn-submit-data" class="btn btn-info">Submit Data</button>
        </div>
      </div>
    </div>
    <div class="row bg-light">
      <div class="col-sm-12 text-right">
        <button id="btn-clear-log" class="btn btn-info">Clear html log</button>
      </div>
    </div>
    <!-- HTML Log -->
    <div class="jumbotron text-left">
      <p id="p-html-log">...</p>
    </div>
  </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  $(document).ready(function () {
    onLoadPage();
    var vBtnSubmit = $("#btn-submit-data");
    vBtnSubmit.on("click", function () {
      onBtnSubmit();
    });

    var vBtnClear = $("#btn-clear-log");
    vBtnClear.on("click", function () {
      onClear();
    })
  })
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

  function onLoadPage() {
    var vInputFName = $("#inp-first-name");
    vInputFName.val("nguyen");
    var vInputLName = $("#inp-last-name");
    vInputLName.val("Nga");
    var vInputAge = $("#inp-age");
    vInputAge.val(18);

  }


  function onBtnSubmit() {
    var vInputFName = $("#inp-first-name");
    vInputFName.val();
    var vInputLName = $("#inp-last-name");
    vInputLName.val();
    var vInputAge = $("#inp-age");
    vInputAge.val();

    var vPLog = $("#p-html-log");
    vPLog.addClass("text-warning");
    vPLog.html(vInputFName.val() + "</br>");
    vPLog.append(vInputLName.val() + "</br>");
    vPLog.append(vInputAge.val());

  }
  function onClear() {
    var vPLog = $("#p-html-log");
    vPLog.html("");

  }


</script>

</html>